Skip to main content
POST
Simulate Authorization

Authorizations

Authorization
string
header
default:{{APIKey}}
required

Body

application/json
cardId
string
required

The _id of the card.

channel
enum<string>
default:web
required

The channel to simulate the authorization on.

Available options:
web,
pos,
atm
type
enum<string>
default:purchase
required

The authorization type.

Available options:
purchase,
cash_withdrawal,
deposit,
transfer,
payment
amount
number<float>
required

The amount to simulate.

currency
enum<string>
default:NGN
required

The currency type.

Available options:
NGN,
USD
merchant
object
required

The merchant information.

Response

Simulated successfully.

statusCode
integer

Status code of the response. 200 indicates a successful request.

message
string

Human-readable description of the result.